Subject: bug#47299: 27.1; emacs --batch on MS-Windows does not immediately display `print'ed lines when invoked outside of the Command Prompt

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 26 Jun 2022 20:24:02 +0200

Ioannis Kappas <[email-masked]> writes:

>> What I can offer is to add a Lisp function to flush the stdout stream.
>> Lisp programs that need to provide interactive experience could call
>> that function where appropriate.
>>
>
> yes please, if you could do this at least we have a way to flush
> important messages out to stdout. I can review/test the patch once
> available.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

This was added as `flush-standard-output' in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no